+++
title = "Migration du serveur sous OpenBSD"
date = 2021-11-02
description = "Passage de Yunohost à OpenBSD :sourire:"
template = "articles.html"
+++

J'héberge mes données et mes services chez moi, j'ai toujours aimé le principe et j'ai rarement eu des problèmes en 7 ans d'hébergement 24/24 pour que j'en sois dissuader et que je passe à autre chose. Depuis que j'utilise OpenBSD en station de travail, je me suis toujours dis qu'un jour il faudrait que je me chauffe un peu pour me faire mon petit serveur de cloud, messagerie toussa avec ce système.

## C'est désormais chose faîtes.

J'écrirai une série d'articles sur comment je suis passé de Yunohost à OpenBSD, mais ça va être des articles techniques un peu saoulants à lire :tire_la_langue: ; je préfère donc commencer par les raisons qui m'ont fait changer de système et elles ne sont pas vraiment techniques mais plutôt personnelles.

## Yunohost est facile à vivre

   Je dois avouer que Yunohost c'est bien fait; je l'ai utilisé pendant des années sans que ce soit chiant et énergivore de maintenir le truc en vie, il y a une interface très pratique pour  créer des comptes mails, installer des applications, configurer un nom de domaine, etc ... Ce qui est formidable pour moi avec Yunohost, c'est que l'essentiel pour la messagerie est là, on configure son nom de domaine, on créé un compte et on a du mail et sa messagerie instantanné (xmpp):+1: . On veut publier sur son site web: on installe une application de blog et c'est parti on a un truc complet, c'est quand même cool.

## Seulement voila ...

Lors des précédentes mise à jour, bien que je n'utilise et n'installe pas beaucoup d'applications il y a eu quelques frayeurs et quelques couac qui font qu'a chaque mise à jour et changement de versions il a fallu mettre les mains dedans et réparer les dégats. J'ai connu quelques restaurations de données difficiles ce qui m'a fait décider de sauvegarder le disque en entier sans passer par l'utilitaire de sauvegarde fourni par Yunohost qui a été marqué comme expérimental pendant un moment.

Passer des moments de galères comme ça peut vite me refroidir et je n'ai plus trop envie de toucher au bordel, je passe en mode : "Comme ça marche ! Donc on touche plus !", ce qui n'est pas très rassurant. On ne se sent pas vraiment en confiance et on est tirailler entre le fait de se dire "un jour faudra que je bloque du temps pour faire ma mise à jour " et " comme ça, ça marche alors pourquoi s'enm..... " :déçu:

Alors c'est vrai, du coup j'ai pas mal appris en bidouillant le système pour faire ce que je voulais et c'était cool, mais j'étais un peu confus car certaines applications venait de l'éditeur du logiciel directement  pendant que d'autres sont  fourni par la distribution Debian le système sur lequel Yunohost est basé, du coup même si on met à jour le système ça met à jours des applications et le flou s'installe. Moi je ne suis pas très doué en informatique :sourire:, mais du coup je ne prend pas de risques et j'aime bien quand les choses sont bien séparées. J'installe des applications ayant peu de mises à jour qui font un truc à la fois mais le font bien; d'où les mises à jour moins fréquentes. Quand je met à jour le système, c'est **que** le système et pas les applications et inversement. Ce problème n'est pas spécifique à Yunohost mais plus aux distributions linux en général; je n'ai jamais compris vraiment où se situer la frontière entre le système de base et les applications que j'avais installé.

Bref entre ça et le fait que d'un autre coté, mon ordis portable avec Openbsd tout les 6 mois je fais la mise à jour du système quand c'est annoncé (je reçois un mail me disant : salut y'a une nouvelle version), et ça se passe toujours bien ... Je veux dire par là que j'ai le sentiment de comprendre ce que je fais :

Ok donc première étape je met à jour le système, ça installe, ça redémarre !

Cool après on vérifie que la configuration du système est toujours ok et enfin on met à jour les applications. Voilà c'est fini.

Et à dans 6 mois pour les changements en profondeur :coeur: . De temps en temps on reçoit une alerte: "pensez à mettre à jour on a trouvé un bug dans ce programme du système !" ça se fait en une commande et Ciao.

Du coup je suis beaucoup plus en confiance car je n'ai que peu de surprises et je suis plus serein et plus volontaire à l'idée de faire les mise à jour car je sais que je ne vais pas y passer la soirée.

C'est très utile car ça devient une habitude et on reste avec un système relativement bien à jour.

## Les outils pour faire ses sauvegardes sont vraiment top !

Bon ... tout se fait en ligne de commande pour les utiliser mais je trouve que les solutions sont vraiment bien pensé pour un usage personnel. On a la solution qui consiste à cloner son disque en entier comme ça le jour où il casse ben on se retrouve avec un autre disque prêt à l'emploi, ça évite de longue perte de temps de réinstallation, restauration et ça en laisse pour aller acheter un autre disque et recommencer le processus. Et sinon en complément, il y a des outils pour faire des copies plus fines d'un dossier ou de fichiers en particuliers. On peut aussi utilisé des programmes fait pour ça, Deja-dup ou on m'avait conseillé pika qui a l'air très bien. Bref dans un environnement où on a un accès direct à la machine c'est vraiment bien. Vu que la machine où j'héberge mes données est chez moi; ça me convient parfaitement :tada:.

## Du coup avant de me lancer je teste le truc en looseday pour voir :tire_la_langue:

Mon serveur sous Yunohost fonctionne bien et il y a une communauté et des développeurs vraiment sympas et à l'écoute qui prennent le temps de régler les soucis des utilisateurs. C'est la grande force de Yunohost à mon avis. Le fait de savoir qu'il y aura des gens sympas pour m'aider en cas de soucis c'est vraiment très important et rassurant ! C'est ce qui me pousse à le conseiller à d'autres personnes, je sais que je ne les envoie pas dans un endroit un peu hostile où va se foutres d'eux. C'est vraiment impressionnant de voir la réactivité des réponses et les compétences qui vont avec !

Bref, du coup j'ai le temps pour faire un petit serveur aux petit oignons, j'installe les logiciels de mails et de messagerie instantanné un jour, j'installe des outils web la semaine d'après ... Ah oui, alors là gros changement ... Avant j'utilisai radicale pour mon agenda et mes contacts car ça ne faisait que ça et c'était simple. On créait ses agenda et ses carnets d'adresses sur une interface web ou sur son téléphone, pas besoin d'installer une application spécifique pour s'en servir, on a les mêmes applications sur Android et les fonctionnalités que sur Gmail, c'est parfait. Pour  mon ordinateur portable je m'en sert avec Thunderbird et ça fonctionne; c'est nickel :+1:.

## La tendance Nextcloud ...

Ouais ... c'est le logiciel à la mode :rire:; tu peux partager tes documents avec des personnes qui n'ont pas de compte avec des liens tout bêtes et/ou en plus il fonctionne un peu en mode réseau social; genre tu as un pote qui est inscrit sur un autre serveur que le tiens, tu le recherches avec son_pseudo@sonserveur.com et tu peux discuter et partager des fichiers avec lui. Du coup, c'est décentralisé, il n'y a pas qu'un seul serveur ou une structure  qui détiens les données de tout le monde et c'est complet, bref ... Mais alors par contre pour le coté simplicité je fais un truc et je le fais bien ... On est a l'opposé... Ça fait tout ... ça fait même trop tout :( ... Les agendas, les contacts, les fichiers, le tchat , la visio, le compte masto, la bureautique, la cueillete des grains de café ...:colere:  Je le garde car c'est à la mode et j'ai envie de tenter l'expérience; mais je me dis ne compte pas que sur ça car le jour où ça tombe en panne tu n'as plus rien ... Et ça ! c'est un truc pas rassurant du tout.

## Du coup Cryptpad comme alternative/complément

Ouais celui-la je l'adore car tu peux fournir une suite office à des potes ou des gens que tu ne connais pas, pas besoin d'inscription, de savoir qui ils sont et si ils veulent quand même un compte; un login, un mot de passe et ils ont leur p'tit espace. Pas besoin de mail ... rien ... les données sont chiffrer, l'administrateur ne peut rien faire à par garder le truc en vie. C'est cette idée qui me plait dans ce logiciel c'est que l'administrateur reste un peu plus à sa place et ne peut pas tout se permettre comme avec d'autres solutions. C'est même cool car ca enlève le coté support (j'ai perdu mon mot de passe, etc...) aux utilisateurs, tout est bien précisé comme quoi il faut bien garder son mot passe sinon c'est plié. Du coup exit les problèmes d'usurpation d'identité ( Tu peux changer mon mot de passe please ?? il faut me croire c'est moi le propriétaire de ce compte ) ... Le logiciel gagne en rapidité à chaque version c'est vraiment bien.

Voila, j'ai tout ce qu'il me faut en local:

*   De quoi avoir mon site oueb (Un hébergement de pages HTML)
*   Mon cloud perso (Agenda Fichier Contact)
*   Ma bureautique collaborative
*   Mes mails et ma messagerie instantanné

C'est cool ! Mon Yunohost, ça marche encore du coup :clap: :clap: on fait rien; ah ouais ça c'est cool on fait rien !

## Et un jour, vient la mise à jour du système !

Bon allez on va voir si ça se passe comme avec l'ordis portable. _A mon avis ça va merdé tu vas voir mais tu vas apprendre des trucs c'est bien_ ! Ouais je me parle tout seul, je suis à la fois péssimiste et optimiste et ça me va bien comme ça. Bon ... je lance le truc ... 1h après j'avais fini et j'ai passé plus de temps à attendre que ça télécharge qu'autre chose. Tout s'est fait par étapes sans se mélanger, le système d'abord et les applications ensuites, Nextcloud et les autres programmes fournis par Openbsd, Cryptpad non car il est n'est pas encore packagé mais dans l'ensemble c'est génial ! :tada: Du coup bon ben... allé  vas y ! On fait la migration et on met ça en ligne à la place de mon Yunohost, je vous raconterez ça plus tard car ça va devenir technique et c'est un peu chiant.

Kissoux et à bientôt :tire_la_langue: !
